LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
InteractiveNetworkReadException Exception Referencepublished

A network error specifying a read failure. More...

`import"InteractiveNetworkReadException.idl";`

Inheritance diagram for InteractiveNetworkReadException:

## Public Attributes
string | Diagnostic
| Any diagnostic message about the failure (which will typically be an English phrase or sentence). More...
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

A network error specifying a read failure.

## Member Data Documentation

string Diagnostic

Any diagnostic message about the failure (which will typically be an English phrase or sentence).

The documentation for this exception was generated from the following file:

- com/sun/star/ucb/InteractiveNetworkReadException.idl